#include <bits/stdc++.h>
using namespace std;

int main() {
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    int T;
    cin >> T;

    while (T--) {
        int N, M;
        cin >> N >> M;

        if ((N == 1 && M >= 2) || (M == 1 && N >= 2)) {
            cout << -1 << '\n';
            continue;
        }


        if (N == 1 && M == 1) {
            cout << 1 << '\n';
            continue;
        }
        for (int i = 1; i <= N; i++) {
            for (int j = 1; j <= M; j++) {
                if (i % j == 0 || j % i == 0)
                    cout << 1;
                else
                    cout << 0;
                if (j < M) cout << ' ';
            }
            cout << '\n';
        }
    }
    return 0;
}